namespace DocuMed.Domain.Entities.City;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public partial class City : ApiEntity
{
    public City()
    {
        
    }
    public City(string name)
    {
        Name = name;
    }

    public string Name { get; internal set; } = string.Empty;

    public List<University> Universities { get; internal set; } = new();
}

